What's the process to migrate from Gateway to RXtools?

Discussion in '3DS - Flashcards & Custom Firmwares' started by apoptygma, Jan 18, 2016.

  1. apoptygma
    OP

    apoptygma GBAtemp Advanced Fan

    Member
    689
    145
    Mar 30, 2010
    Currently running a 9.2 nn3ds with GW 3.7 launcher.dat, using Zelda to launch exploit (also have cubic ninja setup)
    Emunand is 10.3 and unlinked.
    I'm sure there's more to it but now that signature checks are disabled on RXtools couldn't I just replace the launcher.dat with the one for RXtools and then forgo the need to insert the GW red card every reboot? (thus being able to leave zelda or cubic inserted at all times)

    Sorry, I'm a little out of touch with all the leaps and strides made by CFW since I was last following this scene closely ~6 months ago. I did read the RX setup thread but a lot of it seemed to revolve around destroying an existing emunand and creating a new one for some reason.
     
  2. apoptygma
    OP

    apoptygma GBAtemp Advanced Fan

    Member
    689
    145
    Mar 30, 2010
    I have another question too - Is it currently possible to downgrade 10.3 Units? new or old that is.
     
  3. The Real Jdbye

    The Real Jdbye Always Remember 30/07/08

    Member
    GBAtemp Patron
    The Real Jdbye is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    11,441
    4,753
    Mar 17, 2010
    Norway
    Alola
    Yes. 10.4 patched that though.
    If you currently have your games in .3DS format it'll be a pain to switch. I still use my Gateway because I prefer the ease of use and speed of .3DS roms, rather than waiting for slow CIA installs. If you have all your games in CIA format already then switching is just a matter of placing the files on SD and booting rxTools. If you don't you have to dump your saves, install all your games in CIA format and restore your saves to the CIA game.
     
  4. apoptygma
    OP

    apoptygma GBAtemp Advanced Fan

    Member
    689
    145
    Mar 30, 2010
    >Yes. 10.4 patched that though.

    Yea I just read that. Does that mean a unit with 10.3 or less already installed can't be downgraded though? ie. assuming this



    process is followed, will the fact that an update exists prevent the browser from being used?

    — Posts automatically merged - Please don't double post! —

    Yes all my games are CIA installs, so if I replace the launcher.dat from the GW with the RXtools files it will just boot? Then if i ever want to run a .3ds for some reason I could switch the files back? I downloaded rxtools 2.6 before posting this but wasn't sure how to 'install' it over the existing GW exploit. Would I need anything apart from the rxTools.dat? I mean I've already got cubic and zelda set to boot launcher.dat so which steps from which process do I follow to overwrite one or the other?
     
  5. linuxares

    linuxares GBAtemp Psycho!

    Member
    3,003
    1,190
    Aug 5, 2007
    Yes, but please please PLEASE use SafeSysUpdater so you don't get a brick. It's so easy to do a mistake and make it a permanent brick.
     
  6. EmanueleBGN

    EmanueleBGN GBAtemp Advanced Fan

    Member
    691
    340
    Jul 22, 2015
    Italy
    Gateway and rxTools use the same emuNAND. You can install CtrBootManager so you can choose if to use Gateway or rxTools
     
  7. The Real Jdbye

    The Real Jdbye Always Remember 30/07/08

    Member
    GBAtemp Patron
    The Real Jdbye is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    11,441
    4,753
    Mar 17, 2010
    Norway
    Alola
    I don't know if the browser block happens immediately after an update or not, but to be sure, block cbvc.cdn.nintendo.net in your router or by other means (like tubehax) before connecting the 3DS online.
    Yes, yes, and yes. You should not be using rxTools 2.6, it's obsolete. The newest versions no longer use a .dat As for installing, have a look at this: https://gbatemp.net/threads/tutorial-installing-rxtools-custom-firmware-3ds-and-2ds.390867/
    You can use Gateway and rxTools side by side and switch between them at will without replacing any files.
     
  8. aos10

    aos10 look at me,shitposting about GW,i am so cool

    Member
    2,827
    635
    Apr 10, 2012
    Saudi Arabia
    i have another 3DS with GW too , i used RX tool on it and i am now on system settings , and i see RX-E 10.3.0-28U
    is it safe now to update from the system settings ?
     
  9. EmanueleBGN

    EmanueleBGN GBAtemp Advanced Fan

    Member
    691
    340
    Jul 22, 2015
    Italy
    Yes, rxTools support 10.4
    It is also supported by ReiNand (both old and New 3DS) and Cakes
     
  10. aos10

    aos10 look at me,shitposting about GW,i am so cool

    Member
    2,827
    635
    Apr 10, 2012
    Saudi Arabia
    thanks , did that
    and now the select is busted in gateway mode , wneh gateway update the launcher , should i format my emunand again and update ?
     
  11. apoptygma
    OP

    apoptygma GBAtemp Advanced Fan

    Member
    689
    145
    Mar 30, 2010
    I'm not following at all - the github is a mess of files, there's nightly builds but the links don't work, which files am I supposed to be using? this guide you've linked to is incredibly complicated for what I'm asking here, I have an established, working emunand on a new 3ds - which files do I need to copy to the memory card?

    edit : just noticed this guide points to 2.5.2 of rxtools ?
    edit2 : just found the correct URL https://github.com/roxas75/rxTools/releases and am grabbing the nightly 3.0 build, is via the browser the 'best' way to launch?
     
    Last edited by apoptygma, Jan 19, 2016
  12. The Real Jdbye

    The Real Jdbye Always Remember 30/07/08

    Member
    GBAtemp Patron
    The Real Jdbye is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    11,441
    4,753
    Mar 17, 2010
    Norway
    Alola
    If you are using a n3DS the instructions are a bit different. There seems to be a rxTools build with 10.4 n3DS support floating around, but the github page hasn't been updated with 9.6+ n3DS support yet so I don't know where people are finding it. Anyway, 2.6 does not support n3DS at all. You need to use the nightly builds.

    However, for the time being it might be better to use Cakes or ReiNAND since they have updated versions that support 9.6+ emuNAND. This guide has instructions for both, and is made for n3DS: https://gbatemp.net/threads/tutoria...g-10-4-emunand-coldboot-cia-installer.405589/
     
  13. apoptygma
    OP

    apoptygma GBAtemp Advanced Fan

    Member
    689
    145
    Mar 30, 2010
    I'm pretty close now I think - I have rxtools.3dsx running via cubic ninja, it's from the nightly 3.0 build 83afbb6.zip
    however - there's rxtools.dat, there's only a folder called rxtools and when I launch the 3dsx it gives an error "Failed to load NATIVE_FIRM: 5 Reboot rxTools and try again."
     
  14. apoptygma
    OP

    apoptygma GBAtemp Advanced Fan

    Member
    689
    145
    Mar 30, 2010
    I got reinand 3.1 to work, i did get a freeze or two like this guy https://gbatemp.net/threads/reinand-3-0-freezes-on-10-3-n3ds-emunand.410861/ describes.

    Cakes 108 just fails to load (black screen with a few stray pixels on the left.

    rxtools 3.0 nightly continues to give the error "Failed to load NATIVE_FIRM: 5 Reboot rxTools and try again." with whichever firmware.bin I try in either the root or the /rxtools/sys folder.

    I'm launching all of these from ninjahax 1.1b btw - do I need to update it?
     
  15. The Real Jdbye

    The Real Jdbye Always Remember 30/07/08

    Member
    GBAtemp Patron
    The Real Jdbye is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    11,441
    4,753
    Mar 17, 2010
    Norway
    Alola
    The error you are getting is because the firmware file is missing (you have to add this yourself)
    Anyway, 83afbb6 is pretty old now. You should use at least this version: https://mega.nz/#!P8tkDB5I!cM1ji0HYs7LMAdQgjtRMyDxq8fy8aE_sWwWjjdTWI0Y
    And you'll also need firmware9.5.bin from
    Take firmware9.5.bin, rename it 0004013820000002.bin and copy to SD:\rxTools\FIRM
    Those two should be everything needed to get rxTools running, but you'll be stuck on max 9.5 emuNAND until they release the 9.6+ update (or unless you use ReiNAND or Cakes as I mentioned above)

    You should be fine on Ninjhax 1.1, but once you have everything set up it would be a good idea to install menuhax so you can autoboot into CFW. Also, good to hear you switched to ReiNAND, it's more up to date than rxTools right now since it supports 10.4 emuNAND (along with Cakes)
     
    Last edited by The Real Jdbye, Jan 19, 2016
  16. Aroth

    Aroth GBAtemp Addict

    Member
    2,066
    745
    Apr 14, 2015
    United States
    @apoptygma

    If you are using GW 3.7 and have already updated your emunand to 10.3, then you should stop looking into rxTools. It cannot access a 9.6+ emunand on a N3DS at this time.
     
  17. apoptygma
    OP

    apoptygma GBAtemp Advanced Fan

    Member
    689
    145
    Mar 30, 2010
    Thanks! I did eventually work that out, but it seems like someone coming along sooner and telling me this would have saved me an hour or two.
    Reinand is the solution to what I have setup currently, and I'm not about to re-install all my CIAs and migrate all my savegames so this works perfectly for me now.

    — Posts automatically merged - Please don't double post! —

    It seems the 'SD card management' app I have installed crashes when run under Reinand, other than that no issues. possibly a region coding issue?
     
  18. Aroth

    Aroth GBAtemp Addict

    Member
    2,066
    745
    Apr 14, 2015
    United States
    Check that iso site for a "V2" of it.